//  main: main.less, out: ../style.css

// ====================================================================================================================================
// FOOTER
// ====================================================================================================================================

.site-footer {
    position: relative;
    background-color: @color-alpha;
    color: fade(white, 50%);
    font-size: @size__s;
    margin-top: @margin__xl;
    z-index: 1;
    .u-flex-display;
    .u-justify-content(space-between);
    a {
        color: fade(white, 50%);
    }
    .column-1, .column-2, .column-3 {
        padding: @margin__m @margin__s;
        .u-flex-display;
        .u-align-items(center);
        .u-justify-content(space-around);
    }
    .column-1 {
        width: 30%;
        min-width: 260px;
        img {
            height: 40px;
        }
    }
    .column-2 {
        border-left: solid 1px fade(white, 10%);
        border-right: solid 1px fade(white, 10%);
        width: 60%;
        .menu {
            padding: 0;
            margin: 0;
            .u-flex-display;
            .u-flex-wrap(wrap);
            li {
                list-style-type: none;
                width: 33%;
                margin-bottom: 5px;
            }
        }

    }
    .column-3 {
        text-align: center;
        width: 10%;
        font-size: 10px;
        img {
            height: 40px;
            display: block;
        }
    }
    @media @media_tablet, @media_smartphone {
        .u-flex-direction(column);
        .u-justify-content(center);
        .column-1, .column-2, .column-3 {
            width: 100%;
        }
        .column-1 {
            padding-bottom: 0;
        }
        .column-2 {
            border-left: none;
            border-right: none;
            border-bottom: solid 1px fade(white, 10%);
            text-align: center;
            padding-top: 0;
            padding-bottom: @margin__s;
            .u-flex-direction(column);

            .menu {
                padding: 0;
                margin: 0;
                li {
                    width: 100%;
                }
            }
    
        }
        .column-3 {
            margin-bottom: @margin__m;
        }
    }
}
